jphase

## Class FittingLEcuyer

- java.lang.Object
- - jphase.FittingLEcuyer

-     public class FittingLEcuyer
      extends java.lang.Object

  This class perform Goodness of Fit Tests
  Author:
    Andres Sarmiento Romero

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FittingLEcuyer()` Constructor of the class

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.ArrayList<java.lang.String>` | `darDistribuciones()` Returns the name of the distribution
    `FitResult` | `fit(int n, double[] d, java.lang.String distribucion, double p)` This method performs a GOF test and displays the result
    `FitResult` | `fit(int n, java.lang.String ruta, java.lang.String distribucion, double p)` This method performs a GOF test and displays the result
    `FitResult` | `fitPhases(PhaseVarInfo var, java.lang.String file, int number, double p)` This method performs a GOF test and displays the result
    `static cern.colt.list.DoubleArrayList` | `ordenamiento(cern.colt.list.DoubleArrayList unift)` This method sorts a data List

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FittingLEcuyer

          public FittingLEcuyer()

      Constructor of the class

  - ### Method Detail

    - #### ordenamiento

          public static cern.colt.list.DoubleArrayList ordenamiento(cern.colt.list.DoubleArrayList unift)

      This method sorts a data List

    - #### fit

          public FitResult fit(int n,
                      java.lang.String ruta,
                      java.lang.String distribucion,
                      double p)

      This method performs a GOF test and displays the result
      Parameters:
        `ruta` - Location of data
        `n` - Number of groups for the Chi-Square test
        `distribucion` - Distribution used in the initial hypothesis
        `p` - Percetage of data when the GOF is finished

    - #### fit

          public FitResult fit(int n,
                      double[] d,
                      java.lang.String distribucion,
                      double p)

      This method performs a GOF test and displays the result
      Parameters:
        `n` - Number of groups for the Chi-Square test
        `d` - Data array used in the GOF test
        `distribucion` - Name of thed distribution used in the initial hypothesis
        `p` - Percetage of data when the GOF is finished

    - #### fitPhases

          public FitResult fitPhases(PhaseVarInfo var,
                            java.lang.String file,
                            int number,
                            double p)

      This method performs a GOF test and displays the result
      Parameters:
        `var` - Distribution used in the initial hypothesis
        `file` - Location of data
        `number` - Number of groups for the Chi-Square test
        `p` - Percetage of data when the GOF is finished

    - #### darDistribuciones

          public java.util.ArrayList<java.lang.String> darDistribuciones()

      Returns the name of the distribution
      Returns:
        list of distributions